Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.osm
Class ChangeSet

    java.lang.Object
      org.ka2ddo.yaac.osm.GenericTaggedNode<ChangeSet>
          org.ka2ddo.yaac.osm.ChangeSet

All Implemented Interfaces:
  java.lang.Comparable<ChangeSet>

    public class ChangeSet

extends GenericTaggedNode<ChangeSet>
implements java.lang.Comparable<ChangeSet>

This class contains the data extracted from a OSM changeset record.

Field Summary
`int` | `id`
`java.lang.String` | `timestamp`
`java.lang.String` | `uid`
`java.lang.String` | `user`
`static int` | `YAAC_STRUCTURE_VERSION` Constant for indicating structural changes to YAAC compilation of OSM data.
`int` | `yaacStructureVersion`

Fields inherited from class org.ka2ddo.yaac.osm.GenericTaggedNode
`decodedtagArray, FIXME, flags, HAS_ID, HAS_ID64, HAS_INTERNET_ACCESS, HAS_TOLL, IS_AREA, IS_BRIDGE, IS_BUILDING, IS_DISUSED, IS_INFERRED_AREA, IS_ISLAND, IS_LIT, IS_ONEWAY, IS_ONEWAY_BACKWARDS, IS_TUNNEL, IS_WATER, RENDERABLE_FLAGS`

Constructor Summary
`ChangeSet()`

Method Summary
`int` | `compareTo(ChangeSet o)` Compares this object with the specified object for order.
`ChangeSet` | `dup()` Create a deep copy of this ChangeSet.
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`int` | `hashCode()` Returns a hash code value for the object.
`static ChangeSet` | `read(java.io.DataInput dis)`
`void` | `write(java.io.DataOutput dos)`
`void` | `writeGPX(java.io.PrintStream ps)` Write this ChangeSet to the specified stream as the XML tags one element in GPX schema format.
`protected void` | `writeId(java.io.DataOutput dos)` Handle writing the ID field to the binary data stream (handles larger ID ranges in varying subclasses).

Methods inherited from class org.ka2ddo.yaac.osm.GenericTaggedNode
`decodedTagArrayToString, ensureElementHasTagArray, getDecodedTagCount, hasDecodedTags, putTag, readTags, writeTags`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YAAC_STRUCTURE_VERSION

    public static final int YAAC_STRUCTURE_VERSION

  Constant for indicating structural changes to YAAC compilation of OSM data.

  See Also:
    Constant Field Values

### id

    public int id

### user

    public java.lang.String user

### uid

    public java.lang.String uid

### timestamp

    public java.lang.String timestamp

### yaacStructureVersion

    public int yaacStructureVersion

Constructor Detail

### ChangeSet

    public ChangeSet()

Method Detail

### write

    public void write(java.io.DataOutput dos)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeId

    protected void writeId(java.io.DataOutput dos)
                    throws java.io.IOException

  Handle writing the ID field to the binary data stream (handles larger ID ranges in varying subclasses).

  Specified by:
    `writeId` in class `GenericTaggedNode<ChangeSet>`
  Parameters:
    `dos` - DataOutput to use to append the binary ID value
  Throws:
    `java.io.IOException` - if write fails for any reason

### read

    public static ChangeSet read(java.io.DataInput dis)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### dup

    public ChangeSet dup()

  Create a deep copy of this ChangeSet. Similar to the Object method clone(), but without the exceptions and casting.

  Specified by:
    `dup` in class `GenericTaggedNode<ChangeSet>`
  Returns:
    copy of this ChangeSet

### writeGPX

    public void writeGPX(java.io.PrintStream ps)

  Write this ChangeSet to the specified stream as the XML tags one element in GPX schema format.

  Specified by:
    `writeGPX` in class `GenericTaggedNode<ChangeSet>`
  Parameters:
    `ps` - PrintStream to write to

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(Object)`, `System.identityHashCode(java.lang.Object)`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `hashCode()`, `HashMap`

### compareTo

    public int compareTo(ChangeSet o)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ChangeSet>`
  Parameters:
    `o` - the object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Throws:
    `java.lang.NullPointerException` - if the specified object is null
    `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD